%global srcname whipper
%global sum Python CD-DA ripper preferring accuracy over speed
%global desc CD ripper preferring accuracy over speed

Name:    %{srcname}
Version: 0.7.0
Release: 1%{?dist}
Summary: %{sum}
URL:     https://github.com/JoeLametta/whipper
License: GPLv3+

Source0: https://github.com/JoeLametta/%{srcname}/archive/v%{version}.tar.gz
# Patch places accuraterip-checksum binary in proper bindir and provide debug info.
Patch1: accuraterip-checksum.patch

BuildRequires: python2-devel
BuildRequires: python2-setuptools
BuildRequires: gcc
BuildRequires: libsndfile-devel

Requires: cdrdao
Requires: libcdio-paranoia
Requires: pygobject2
Requires: python2-setuptools
Requires: python2-musicbrainzngs
Requires: python2-mutagen
Requires: python2-CDDB
Requires: python2-requests
Requires: pycdio
Requires: flac
Requires: sox

# Exclude s390x due to missing cdrdao dep
ExcludeArch: s390x

%description
%{desc}

%prep
%setup -q
%patch1 -p1

%build
%make_build -C src
%py2_build

%install
%make_install -C src
%py2_install

%files
%{_bindir}/whipper
%{_bindir}/accuraterip-checksum
%{python2_sitelib}/whipper-%{version}-py2.7.egg-info
%{python2_sitelib}/whipper
%license LICENSE
%doc README.md TODO CHANGELOG.md HACKING

%changelog
* Mon Apr 16 2018 Matthew Ruszczyk <mruszczyk17@gmail.com> - 0.7.0-1
- Update to version 0.7.0.

* Tue Feb 20 2018 Matthew Ruszczyk <mruszczyk17@gmail.com> - 0.6.0-7
- Exclude s390x due to missing cdrdao dependency.

* Sat Feb 17 2018 Matthew Ruszczyk <mruszczyk17@gmail.com> - 0.6.0-6
- Added gcc build requirement.

* Tue Feb 13 2018 Matthew Ruszczyk <mruszczyk17@gmail.com> - 0.6.0-5
- Fix missing python2-setuptools requirement.

* Mon Feb 12 2018 Matthew Ruszczyk <mruszczyk17@gmail.com> - 0.6.0-4
- Fix ownership of directories and returned to a single package.

* Wed Feb 7 2018 Matthew Ruszczyk <mruszczyk17@gmail.com> - 0.6.0-3
- Fix incorrect gobject dependency.

* Fri Feb 2 2018 Matthew Ruszczyk <mruszczyk17@gmail.com> - 0.6.0-2
- Split Requires into separate lines and commenting patch.

* Fri Feb 2 2018 Matthew Ruszczyk <mruszczyk17@gmail.com> - 0.6.0-1
- Update to version 0.6.0.

* Tue Jan 23 2018 Matthew Ruszczyk <mruszczyk17@gmail.com> - 0.5.1-5
- Adjust accuraterip patch to include debug info.

* Tue Jun 27 2017 Matthew Ruszczyk <mruszczyk17@gmail.com> - 0.5.1-4
- Move python2 sitelib into python2 subpackage.

* Tue Apr 25 2017 Matthew Ruszczyk <mruszczyk17@gmail.com> - 0.5.1-3
- Added license and doc macros to conform with proper best practices.

* Mon Apr 24 2017 Matthew Ruszczyk <mruszczyk17@gmail.com> - 0.5.1-2
- Remove libsndfile dependency, rpm picks that up on build.

* Mon Apr 24 2017 Matthew Ruszczyk <mruszczyk17@gmail.com> - 0.5.1-1
- Version 0.5.1

* Sun Jan 8 2017 Matthew Ruszczyk <mruszczyk17@gmail.com> - 0.4.2-1
- Version 0.4.2 released. Removal of submodule logic.

* Wed Dec 21 2016 Matthew Ruzczyk <mruszczyk17@gmail.com> - 0.4.0-3
- Fixed setup macro and patches accuraterip-checksum to the correct bin
  directory

* Wed Dec 21 2016 Matthew Ruszczyk <mruszczyk17@gmail.com> - 0.4.0-2
- Added forgotten python2 requirement

* Wed Dec 21 2016 Matthew Ruszczyk <mruszczyk17@gmail.com> - 0.4.0-1
- Initial RPM release
